

Name:           php-vhng-distribution
Version:        1.0
Release:        lp156.15.1
Summary:        VHNG PHP distribution
License:        MIT
Group:          Metapackages
URL:            https://github.com/openSUSE/patterns
Source0:        rpmlintrc
BuildRequires:  patterns-rpm-macros
Provides:       pattern-category() = PHP%20VHNG
Requires:       php-composer
Requires:       php(vhng) = %{php_vhng_branch}
Requires:       php-cli(vhng) = %{php_vhng_branch}
Requires:       php-fpm(vhng) = %{php_vhng_branch}
Requires:       php-APCu(vhng) = %{php_vhng_branch}
%if "%{php_vhng_branch}" >= "7.0" && "%{php_vhng_branch}" < "8.0"
Requires:       php-APCu-bc(vhng) = %{php_vhng_branch}
%endif
Requires:       php-bcmath(vhng) = %{php_vhng_branch}
Requires:       php-bz2(vhng) = %{php_vhng_branch}
Requires:       php-calendar(vhng) = %{php_vhng_branch}
Requires:       php-ctype(vhng) = %{php_vhng_branch}
Requires:       php-curl(vhng) = %{php_vhng_branch}
Requires:       php-dba(vhng) = %{php_vhng_branch}
%if "%{php_vhng_branch}" >= "7.0"
Requires:       php-dblib(vhng) = %{php_vhng_branch}
%endif
Requires:       php-dom(vhng) = %{php_vhng_branch}
%if "%{php_vhng_branch}" >= "7.1"
Requires:       php-embed(vhng) = %{php_vhng_branch}
%endif
Requires:       php-enchant(vhng) = %{php_vhng_branch}
Requires:       php-exif(vhng) = %{php_vhng_branch}
%if "%{php_vhng_branch}" >= "8.1"
Requires:       php-ffi(vhng) = %{php_vhng_branch}
%endif
Requires:       php-fileinfo(vhng) = %{php_vhng_branch}
#Requires:       php-firebird
Requires:       php-ftp(vhng) = %{php_vhng_branch}
Requires:       php-gd(vhng) = %{php_vhng_branch}
Requires:       php-gettext(vhng) = %{php_vhng_branch}
Requires:       php-gmp(vhng) = %{php_vhng_branch}
Requires:       php-iconv(vhng) = %{php_vhng_branch}
Requires:       php-igbinary(vhng) = %{php_vhng_branch}
Requires:       php-imagick(vhng) = %{php_vhng_branch}
Requires:       php-imap(vhng) = %{php_vhng_branch}
Requires:       php-intl(vhng) = %{php_vhng_branch}
%if "%{php_vhng_branch}" < "8.0"
Requires:       php-json(vhng) = %{php_vhng_branch}
%endif
Requires:       php-ldap(vhng) = %{php_vhng_branch}
Requires:       php-mbstring(vhng) = %{php_vhng_branch}
%if "%{php_vhng_branch}" < "7.0"
Requires:       php-mcrypt(vhng) = %{php_vhng_branch}
Requires:       php-memcache(vhng) = %{php_vhng_branch}
%endif
Requires:       php-memcached(vhng) = %{php_vhng_branch}
%if "%{php_vhng_branch}" < "7.0"
Requires:       php-mssql(vhng) = %{php_vhng_branch}
%endif
Requires:       php-mysql(vhng) = %{php_vhng_branch}
Requires:       php-odbc(vhng) = %{php_vhng_branch}
Requires:       php-openssl(vhng) = %{php_vhng_branch}
%if "%{php_vhng_branch}" > "5.3"
Requires:       php-opcache(vhng) = %{php_vhng_branch}
%endif
Requires:       php-pcntl(vhng) = %{php_vhng_branch}
Requires:       php-pdo(vhng) = %{php_vhng_branch}
Requires:       php-pear(vhng) = %{php_vhng_branch}
%if "%{php_vhng_branch}" >= "5.6" && "%{php_vhng_branch}" < "7.3"
Requires:       php-pear-Archive_Tar(vhng) = %{php_vhng_branch}
%endif
Requires:       php-pgsql(vhng) = %{php_vhng_branch}
Requires:       php-phar(vhng) = %{php_vhng_branch}
Requires:       php-posix(vhng) = %{php_vhng_branch}
%if "%{php_vhng_branch}" < "7.1"
Requires:       php-pspell(vhng) = %{php_vhng_branch}
%endif
Requires:       php-readline(vhng) = %{php_vhng_branch}
%if "%{php_vhng_branch}" >= "7.0"
Requires:       php-redis(vhng) = %{php_vhng_branch}
%endif
Requires:       php-shmop(vhng) = %{php_vhng_branch}
%if "%{php_vhng_branch}" >= "7.0"
Requires:       php-snmp(vhng) = %{php_vhng_branch}
%endif
Requires:       php-soap(vhng) = %{php_vhng_branch}
Requires:       php-sockets(vhng) = %{php_vhng_branch}
%if "%{php_vhng_branch}" >= "7.2"
Requires:       php-sodium(vhng) = %{php_vhng_branch}
%endif
Requires:       php-sqlite(vhng) = %{php_vhng_branch}
%if "%{php_vhng_branch}" < "7.0"
Requires:       php-suhosin(vhng) = %{php_vhng_branch}
%endif
Requires:       php-sysvmsg(vhng) = %{php_vhng_branch}
Requires:       php-sysvsem(vhng) = %{php_vhng_branch}
Requires:       php-sysvshm(vhng) = %{php_vhng_branch}
Requires:       php-tidy(vhng) = %{php_vhng_branch}
Requires:       php-tokenizer(vhng) = %{php_vhng_branch}
Requires:       php-uploadprogress(vhng) = %{php_vhng_branch}
Requires:       php-uuid(vhng) = %{php_vhng_branch}
%if "%{php_vhng_branch}" < "7.4"
Requires:       php-wddx(vhng) = %{php_vhng_branch}
%endif
%if "%{php_vhng_branch}" < "7.0"
Requires:       php-xcache(vhng) = %{php_vhng_branch}
%endif
%if "%{php_vhng_branch}" >= "7.0"
Requires:       php-xdebug(vhng) = %{php_vhng_branch}
%endif
Requires:       php-xmlreader(vhng) = %{php_vhng_branch}
%if "%{php_vhng_branch}" < "8.0"
Requires:       php-xmlrpc(vhng) = %{php_vhng_branch}
%endif
Requires:       php-xmlwriter(vhng) = %{php_vhng_branch}
Requires:       php-xsl(vhng) = %{php_vhng_branch}
Requires:       php-zip(vhng) = %{php_vhng_branch}
Requires:       php-zlib(vhng) = %{php_vhng_branch}

%description
Intercom VHNG PHP distribution


%files
%dir %{_docdir}/patterns
%{_docdir}/patterns/php-vhng-distribution.txt

%prep

%build

%install
mkdir -p %{buildroot}%{_docdir}/patterns
for i in php-vhng-distribution; do
    echo "This file marks the pattern $i to be installed." \
    >"%{buildroot}%{_docdir}/patterns/$i.txt"
done

%changelog
* Thu Aug 17 2023 Angelo Grossini <rottame@intercom.it>
- depends on php(vhng) and php-cli(vhng)
* Wed Aug 16 2023 Angelo Grossini <rottame@intercom.it>
- vhng versioning take 2
* Wed Aug 16 2023 Angelo Grossini <rottame@intercom.it>
- vhng versioning
* Tue Aug  8 2023 Angelo Grossini <rottame@intercom.it>
- remove unneeded package php8-fpm-apache
* Tue Mar  7 2023 Angelo Grossini <rottame@intercom.it>
- remove unneeded extensions
* Tue Mar  7 2023 Angelo Grossini <rottame@intercom.it>
- remove unneeded extensions
* Tue Mar  7 2023 Angelo Grossini <rottame@intercom.it>
- remove mssql and add dblib for php > 5.6
* Tue Mar  7 2023 Angelo Grossini <rottame@intercom.it>
- FIX TYPOS!
* Tue Mar  7 2023 Angelo Grossini <rottame@intercom.it>
- fix typos
* Mon Mar  6 2023 Angelo Grossini <rottame@intercom.it>
- fix typo & add missing dependency
* Mon Mar  6 2023 Angelo Grossini <rottame@intercom.it>
- typo
* Mon Mar  6 2023 Angelo Grossini <rottame@intercom.it>
- fix macros
* Mon Mar  6 2023 Angelo Grossini <rottame@intercom.it> - 1.0
- initial release
